#include <iostream>
#include <Windows.h>
#include <curl\curl.h>
using namespace std;
string callHttpserver(string signinfoJsonString, string url);
string callHttpGet(string url);
string sendOA(string sfid, string instanceId, string entityParamValues, string url);
string ecnSendOA(string instanceId, string entityParamValues, string url);
string readXmlId(string xmlMsg);
string readXmlEmailId(string xmlMsg);
string getUserIdOA(string email, string url);
string getUserIdOAUUID(string uuid, string url);
string getAssignFromYP(string url);
void updatePiProject(string json, string url);
string ecnSendSRM(string entityParamValues, string url);
void yp_query(char* yp_url, string json);